# IndustryTypeBuildData Struct Reference

Data for managing the number of industries of a single industry type. More...

`#include <industry.h>`

## Public Member Functions
void | Reset ()
| Reset the entry.
bool | GetIndustryTypeData (IndustryType it)
| Set the probability and min_number fields for the industry type it for a running game.
## Data Fields
uint32 | probability
| Relative probability of building this industry.
byte | min_number
| Smallest number of industries that should exist (either `0` or `1`).
uint16 | target_count
| Desired number of industries of this type.
uint16 | max_wait
| Starting number of turns to wait (copied to wait_count).
uint16 | wait_count
| Number of turns to wait before trying to build again.

## Detailed Description

Data for managing the number of industries of a single industry type.

Definition at line 147 of file industry.h.

## Member Function Documentation

bool IndustryTypeBuildData::GetIndustryTypeData | ( | IndustryType | it | ) |

Set the probability and min_number fields for the industry type it for a running game.

Parameters:

  | it | Industry type.

Returns:
  At least one of the fields has changed value.

Definition at line 2106 of file industry_cmd.cpp.

References GetIndustryGamePlayProbability(), min_number, and probability.

Referenced by IndustryBuildData::SetupTargetCount().

void IndustryTypeBuildData::Reset | ( |  | ) |

Reset the entry.

Definition at line 1978 of file industry_cmd.cpp.

References max_wait, min_number, probability, target_count, and wait_count.

Referenced by IndustryBuildData::Reset().

The documentation for this struct was generated from the following files:

- src/industry.h
- src/industry_cmd.cpp